> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Referral Code



## OpenAPI

````yaml /openapi.json post /v1/public/referral-code-validation
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/public/referral-code-validation:
    post:
      tags:
        - Public
      summary: Validate Referral Code
      operationId: validate_referral_code_v1_public_referral_code_validation_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReferralCodeValidationRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralCodeValidationResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security: []
components:
  schemas:
    ReferralCodeValidationRequest:
      properties:
        code:
          maxLength: 255
          minLength: 1
          title: Code
          type: string
      required:
        - code
      title: ReferralCodeValidationRequest
      type: object
    ReferralCodeValidationResponse:
      properties:
        valid:
          title: Valid
          type: boolean
      required:
        - valid
      title: ReferralCodeValidationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````